*,
*::after,
*::before{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body{
    font-family: 'Gilroy', 'Poppins';
    background: #FFFCF6;
    color: #0B1D03;
}

/* scrollbar */

html {
    --scrollbarBG: #F7F1E6;
    --thumbBG: #A0996C;
  }
  body::-webkit-scrollbar {
    width: 13px;
  }
  body {
    scrollbar-width: thin;
    scrollbar-color: var(--thumbBG) var(--scrollbarBG);
  }
  body::-webkit-scrollbar-track {
    background: var(--scrollbarBG);
  }
  body::-webkit-scrollbar-thumb {
    background-color: var(--thumbBG) ;
    border-radius: 6px;
    border: 3px solid var(--scrollbarBG);
  }
  
/* -------- */


.container-header{
    width: 100%;
    padding: 0 32px;
    
}

ul{
    list-style: none;
}

.bg{
    background: url("../img/balcao.png"); 
    background-repeat: no-repeat; 
    color: white;   
    height: 100vh;
}

header{
    padding: 32px;
    width: 100%;
    
}

header div{
    display: flex;
    align-items: center;
    justify-content: space-between;
    
    
}

.logo{
    font-family: 'Playfair display';
    font-weight: 700;    
    color: white;
}

.header-title{
    display: flex;
    max-width: 704px;
    font-family: Playfair Display;
    font-style: normal;
    font-weight: bold;
    font-size: 80px;
    line-height: 88px;
    color: white;
    margin-bottom: 24px;
    margin-top: 40px;
}

.header-span{
    font-style: normal;
    font-weight: normal;
    font-size: 32px;
    line-height: 40px;
    color: white;
    margin-bottom: 120px;
}

.header-span img{
    margin-top: 120px;
}

.header-section{
    margin-left: 80px;
    
}

.header-buttons{
    display: flex;
    width: 132px;
    justify-content: space-between;
    margin-top: 120px;
}



.slider-tracks{
    display: flex;
    margin: 0 0 20px 0;
}
.slider-tracks__item{
    width: 32px;
    height: 4px;
    background: #FFFFFF;
    opacity: 0.5;
    border-radius: 10px;

    cursor: pointer;
    outline: none;
    transition: 0.5s;
}

.slider-tracks__item:hover{
    opacity: 1;
}
.slider-tracks__item:not(:last-child){
    margin-right: 10px;
}
.slider-tracks__item--active{
    opacity: 1;
    
}



/* //////////////////////MAIN////////////////// */

.middle-container{
    align-content: center;
    width: 1440px;
    max-width: 100%;
    margin: 0 auto;       
}


.section-1 {
    
    width: 1350px;
    margin: 51px 0 150px 0px; 
    display: flex;
}

.section-1 img{
    width: 704px;
   margin-left: 155px;
}

.section-2 {
    display: inline-flex;
    margin: 80px 0px 80px 0px;

}

.section-2 img{
    margin-right: 155px;
}

.section-1{
    margin-left: 75px;
}

.section-1 img{
    width: 704px;
   margin-left: 80px;
   display: inline-flex;
}

.section-paragraph{
    font-weight: 700;
    font-size: 32px;
    line-height: 40px;
    margin-top: 32px;
}

.title1{
    font-family: 'Playfair display';
        font-style: normal;
        font-weight: 700;
        font-size: 64px;
        color: black;
        
        width: 581px;
}

.subtitle{
    font-family: 'Playfair Display';
    font-style: normal;
    font-weight: 700;
    font-size: 56px;
    width: 581px;
}

.titles{
    font-family: 'Playfair display';
    
}

.alt-title{
    font-family: 'Playfair display';
    color: #A0996C;    
        font-style: normal;
        font-weight: bold;
        font-size: 56px;
        line-height: 60px;
        padding-bottom: 64px;
    
}

.header-span{
    color: white;
}

.produtos-container{
    width: 1600px;
    max-width: calc(100% - 72px);
    margin: 0 auto;
    margin-top: 150px;
}

.produtos-title{
    font-family: Playfair Display, serif;
    font-size: min(56px, 6vw);
    font-weight: 700;
    color: #A0996C;
    line-height: 60px;
    margin-left: 30px;
}

.cards-container{
    display: flex;
    flex-wrap: wrap;
    margin-top: 50px;
    width: 100%;
    justify-content: center;
}

.card{
    text-align: center;
    width: 459px;
    height:560px;
    margin: 20px 20px 20px 0;
    background: #F7F1E6;
    border-radius: 8px;
}

.card-title{
    font-size: 1.5em;
    font-weight: 500;
    line-height: 28px;
    margin: 40px;
}


.card-button{
    width: 395px;
    height: 76px;
    padding: 20px;
    color: white;
    border-radius: 4px;
    background: #0B1D03;
    border: none;
    margin-top: 38px;
    font-size: 1.25em;
    cursor: pointer;
    outline: none;
    transition: .2s;
    margin-top: 52px;
}


.card-value{
    font-weight: 700;
    font-size: 2em;
}

.card-value::after {
    content: "R$ 60,00";
    font-weight: normal;
    text-decoration: line-through;
    font-size: .7em;
    color: #969696;
    margin-left: 10px;
 }


  

    .catalogo-container{
        display: inline-flex;
        width: calc(100% -80px);
        align-content: center;
        margin-top: 68px;
        margin-left: 80px;
    }

    .catalogo{
        display: flex;
        color: white;
        background: linear-gradient(
    180deg
    , rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 100%);
        background-image: url('../img/graos-cafe.png');    
        background-repeat: no-repeat;
        width: 704px;
        height: 560px;
        margin-right: 32px;
        align-items: flex-start;
        flex-direction: column;
        justify-content: flex-end;
        margin-bottom: 80px;

    }
    
    .acessorios{
        display: flex;
        color: white;
        background: linear-gradient(
        180deg
        , rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 100%);
        background-image: url('../img/cafeteira.png');
        background-repeat: no-repeat;
        width: 704px;
        height: 560px;
        margin-right: 32px;
        align-items: flex-start;
        flex-direction: column;
        justify-content: flex-end;
        margin-bottom: 80px;
    }
    
    .square-title{
        font-family: 'Playfair Display';
        font-style: normal;
        font-weight: bold;
        font-size: 56px;
        line-height: 60px;
        color: #FFFCF6;        
        white-space: nowrap;
        line-height: 60px;
        margin-left: 40px;
        margin-bottom: 24px;
    }

    .square-p{
        font-family: 'Gilroy';
        font-weight: 500;
        font-size: 20px;
        line-height: 26px;
        letter-spacing: 0.04em;
        color: #FFFCF6;
        margin-left: 40px;
        margin-bottom: 40px;
        width: 451px;
    }

    .container-list{
        display: inline-flex;
        margin-top: 80px;        
        width: 1438px;        
        justify-content: space-around;
        align-items: center;
        margin-left: 80px;
   }

    .item{
        vertical-align: top;
        display: inline-block;
        text-align: center;
        display: flex;
        flex-direction: column;
        align-items: center;
        height: 116px;
    }

    .item img{
        width: 66px;
        height: 40px;
        margin-bottom: 24px;
    }

    .caption {
        display: block;
        width: 180px;
    }

    /* /////////////FORM PESQUISA CIDADE\\\\\\\\ */

    .form-container{
        background-color: white;
    }

    .search-form-container{
        margin-left: 80px;
        margin-bottom: 40px;
        
    }


    .search-form-title{
        font-family: 'Playfair display';
        color: black;
        font-size: 56px;
        font-weight: 700;
        margin-bottom: 48px;
    }

    .search {    
        border-radius: 4px;   
        border: 2px solid #0B1D03; 
        min-width:949px;   
        vertical-align: middle;
        background-image: url('../img/lupa.svg');
        background-repeat: no-repeat;
        background-position: 898px 27px;
        height: 76px;
        margin-left: 32px;
        }

    .search::-webkit-input-placeholder  { 
        color:grey; 
        font-size: 20px;    
        font-family: 'Gilroy';
        font-weight: 500;
        padding: 6px 28px;       
    }
        
    
    .mapa img{
        width: calc(100% -80px);
        height: 512px;
        margin-top: 24px;
        

    }

    .custom-select{
        display: inline-flex;
        align-items: center;
    }

    .custom-select select{
        -webkit-appearance: none;
        font-family: 'Gilroy';
        border-radius: 4px;    
        border: 2px solid black;
    
        width: 459px;
        height: 76px;
        font-size: 20px;
        color: gray;
        padding: 28px;
        font-weight: 500;
        background-image: url('../img/down-arrow.svg');
        background-repeat: no-repeat;
        background-position: 409px 33px;
        cursor: pointer;
    }

    .custom-select #cidades{
        padding: 6px 28px;
        }
    
    

    /* ////////////////FOOTER\\\\\\\\\\\\\\\ */


.logo-footer{
    color: black;
    font-family: 'Playfair display';
    font-style: normal;
    font-weight: bold;
    font-size: 28px;
    line-height: 28px;
}

.footer-container{
    background-color: #F7F1E6;
    display: flex;
    justify-content: space-between;   
    width: 100%;   
    height: 306px;
    
}

.footer-container ul{
    margin-top: 56px;
    list-style: none;
    text-decoration: none;
    color: black;
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 28px;
    padding: 12px;
    margin-left: 52px;
   
}

.footer-container li{
     
    color: black;
    font-family: 'Gilroy';
    font-style: normal;    
    font-size: 20px;
    line-height: 12px;
    padding: 12px;
     
}

.footer-list a{
    text-decoration: none;
    color: #1F1F1F;  
    font-weight: 400;
    display: inline-block;
}



#list-socials-icons{
    display: flex;
    margin-top: -30px;
    margin-left: -25px;
}

#list-socials-icons img{
    display: inline-block;
}

.li-footer-title{
    font-weight: 500;
    margin-bottom: 18px;
    
}


.after-footer {
    display: inline-flex;
    justify-content: center; 
    align-items: center;
    width: 100%;
    height: 68px;
    margin: 0 auto;   
    background-color: #F7F1E6;
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 28px;

}

.after-footer img{
    margin-left: 8px;
    
}


/* /////////////////MODAL\\\\\\\\\\\\\\\\\ */

.modal{
    display: none;
    background-color: rgba(0, 0, 0, 0.4);
    width: 1600px;
    height: 200vh;   
    position: fixed;
    top: 0;
    left: 0;
    overflow: auto;
    max-height: 100vh;
    overflow-y: auto;
}

.modal--opened{
    display: block;
}


/* ////////MODAL LEFT */


.modal-product{
    width: 499px;
    height: 316px;
    border-right: 2px solid #C4C4C4;
    background: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    left: 317px;
}

#modal-product-title{
    font-weight: bold;
    font-size: 32px;
    line-height: 40px;    
    margin-left: 48px;
}

.modal-product-card{
    display: flex;
    width: 403px;
    height: 164px;
    margin-top: 16px;
    margin-left: 48px;
    background: #F2F2F2;
    border-radius: 4px;
    
}

.modal-product-card img{
    width: 92px;
    margin: 24px;
}

#modal-coffee-title{
    font-weight: 500;
    font-size: 20px;
    line-height: 26px;
    letter-spacing: 0.04em;
    margin-top: 24px;
    
}

#modal-preço{
    font-style: normal;
    font-weight: bold;
    font-size: 32px;
    line-height: 40px;
    color: black;
    margin-top: 8px;
}

#modal-exclude{
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 26px;
    color: #A0996C;
    margin-top: 16px;
}

/* /////////////MODAL RIGHT (FORM) */

.modal-form{    
    /* display: none; */
    display: flex;
    position: absolute;
    left: 816px;
    background-color: #fefefe;
      
    height: 900px;
    width: 784px;   
}

.modal-form-container{
    margin-left: 49px;
}

.form-steps{
    display: inline-flex;
    align-content: center;
    margin-top: 48px;
    margin-bottom: 32px;
}

#dados-pessoais{
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 26px;
    color: black;
}

.other-steps{
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 26px;
    color: gray;
}

.seta-modal{
    width: 24px;
    height: 8px;
    margin-top: 8px;
    margin-left: 18px;
    margin-right: 18px;
}

.fechar-modal{
    border-style: none;
    background-color: white;
    width: 18px;
    height: 18px;    
    position: absolute;
    left: 729px;
    top: 37px;
    background-image: url('../img/close-x.svg');
    background-repeat: no-repeat;
    background-size: 18px;
}

.fechar-modal:hover,
.fechar-modal:focus {  
  cursor: pointer;
}

.no-arrow {
    -moz-appearance: textfield;
  }
  .no-arrow::-webkit-inner-spin-button {
    display: none;
  }
  .no-arrow::-webkit-outer-spin-button,
  .no-arrow::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }



.modal-form-container textarea{
    border: none;
    resize: none;
    width: 656px;
    height: 238px;
    border: 2px solid black;
  }

.form-dados input{
    width: 656px;
    height: 76px;
    border: 2px solid black;
    border-radius: 4px;
    margin-bottom: 24px;
  }

  .form-dados [type="text"], [type="email"], [type=number]{
    font-family: Gilroy;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 28px;
    color: #3b3b3b;
    padding-left: 28px;
  }


.form-dados input::placeholder{
    font-family: Gilroy;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 28px;
    color: #969696;    
    
}

.form-dados [textarea]{
    font-family: Gilroy;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 28px;
    color: #3b3b3b;
    padding-left: 28px;
}

.form-dados textarea::placeholder{
    font-family: Gilroy;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 28px;
    color: #969696;
    padding-left: 28px;
    padding-top: 24px;
}

input:focus{
    box-shadow: 0px 0px 13px 0px #7979798a;
    transition: .5s;
}

#form-button{
    font-family: Gilroy;
    font-style: normal;
    font-weight: bold;
    font-size: 20px;
    line-height: 28px;
    width: 656px;
    height: 76px;
    color: white;
    border-radius: 4px;
    background: #0B1D03;
    border: none;
    cursor: pointer;
    margin-top: 32px;
    
}